# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/cmake gcc-c++ perl(Alien/Base.pm) perl(Alien/Build.pm) perl(Alien/Build/MM.pm) perl(Alien/Build/Plugin/Build/CMake.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Package/Stash.pm) perl(Path/Tiny.pm) perl(Sort/Versions.pm) perl(Test/Alien.pm) perl(Test/More.pm) perl(Test2/V0.pm) perl(base.pm) perl(strict.pm) perl(version.pm) perl(warnings.pm) pkgconfig(qhullstatic_r)
# END SourceDeps(oneline)
%define module_name Alien-Qhull
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 8.0.2.2
Release: alt1
Summary: Build and Install the Qhull library
Group: Development/Perl
License: gpl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/D/DJ/DJERIUS/%{module_name}-v%{version}.tar.gz

%description
This module finds or builds the *Qhull* library and executables.

It requires Qhull version '8.0.2'.  If that is available
on the system, that is used, otherwise it will build a "share" version
using that version, which is distributed with this package.

%prep
%setup -q -n %{module_name}-v%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc CONTRIBUTING.md LICENSE README Changes
%perl_vendor_archlib/A*
%perl_vendor_autolib/*

%changelog
* Fri Mar 08 2024 Igor Vlasenko <viy@altlinux.org> 8.0.2.2-alt1
- initial import by package builder

